### Method

# Gimp RGB parse_css

#### Declaration [src]

    gboolean
    gimp_rgb_parse_css (
      GimpRGB* rgb,
      const gchar* css,
      gint len
    )

#### Description [src]

Attempts to parse a string describing an RGB color in CSS notation. This can be either a numerical representation (`rgb(255,0,0)` or `rgb(100%,0%,0%)`) or a hexadecimal notation as parsed by `gimp_rgb_parse_hex()` (`##ff0000`) or a color name as parsed by `gimp_rgb_parse_name()` (`red`).

This function does not touch the alpha component of `rgb`.

Available since: | 2.2

#### Parameters

`css` | An array of `gchar`
| A string describing a color in CSS notation.
| The length of the array is specified in the `len` argument.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`len` | `gint`
| The length of `css`, in bytes. or -1 if `css` is nul-terminated.

#### Return value

Returns: | `gboolean`
| `TRUE` if `css` was parsed successfully and `rgb` has been set, `FALSE` otherwise.